<?php

require '../backend/config/processos/processos2.php';

// LOGIN TELA INICIAL DO APP
function login($user,$senha) {
   // $cript = md5($senha); // criptografia de senha
    $db = conectDB();
    
    $sql     = "SELECT * FROM uni_usuarios WHERE nome = '$user' AND senha = '$senha' AND type = 0";
    $result  = mysqli_query($db,$sql);
    $n       = mysqli_num_rows($result);
    $resp    = mysqli_fetch_array($result);
    
    if($n > 0){
        return $resp;
    }else{
        return 0;
    }
}
function login2($user,$senha) {
   // $cript = md5($senha); // criptografia de senha
    $db = conectDB();
    
    $sql     = "SELECT * FROM uni_usuarios WHERE nome = '$user' AND senha = '$senha' AND type = 1";
    $result  = mysqli_query($db,$sql);
    $n       = mysqli_num_rows($result);
    $resp    = mysqli_fetch_array($result);
    
    if($n > 0){
        return $resp;
    }else{
        return 0;
    }
}



function pedidos($iduser){
    $db = conectDB();
    
   // $sql     = "SELECT * FROM `uni_pedidos` WHERE usuario = '$iduser' AND status = 'SEPARAÇÃO'";
    $sql     = "SELECT *
                    ,(
                        SELECT Count(B.pedido_cod)
                        FROM uni_analise AS B
                        WHERE A.id = B.pedido_cod
                        ) AS QTD
                    ,(
                        SELECT C.nome
                        FROM uni_lojas AS C
                        WHERE A.loja = C.id
                        ) AS LOJ
                FROM uni_pedidos AS A WHERE usuario = '$iduser' AND status = 'SEPARAÇÃO' ORDER BY A.`id` DESC";
        
    $result  = mysqli_query($db,$sql);
    $n       = mysqli_num_rows($result);
    
    if($n > 0){
           for($i = 0; $i<$n ; $i++){
               $dados[] = mysqli_fetch_assoc($result);
           }
        return $dados;
    }else{
        return 0;
    }
}

function itens($iduser){
    $db = conectDB();
    
    $sql     = "SELECT a.`id`,a.`pedido_cod`,a.`prod_codigo`,a.`prod_desc`,a.`sugestao`,a.`separado`,a.deposito FROM `uni_analise` a INNER JOIN uni_pedidos p ON p.id=a.`pedido_cod` WHERE p.usuario = '$iduser' AND p.status = 'SEPARAÇÃO' ORDER BY a.`deposito`,a.`prod_codigo` ASC";
        
    $result  = mysqli_query($db,$sql);
    $n       = mysqli_num_rows($result);
    
    if($n > 0){
           for($i = 0; $i<$n ; $i++){
               $dados[] = mysqli_fetch_assoc($result);
           }
        return $dados;
    }else{
        return 0;
    }
}

// ##############################################  UPDATES ############################################

function atualizar_pedido($pedidos){
   $db = conectDB();
    
        $response = count($pedidos);
    
       for($i = 0; $i<$response ; $i++){
           $pd_id     = $pedidos[$i]['id'];
           $pd_status = $pedidos[$i]['status'];
    // EXECURÇÃO
           $sql     = "UPDATE `uni_pedidos` SET `status`= '$pd_status' WHERE id = $pd_id";
           $result  = mysqli_query($db,$sql);
       }
    
    return true;
}

function atualizar_analise($analise){
    ini_set('max_input_vars','10000' );

       $db = conectDB();
    
        $response = count($analise);
    
       for($i = 0; $i<$response ; $i++){
           $pd_id     = $analise[$i]['id'];
           $pd_cod    = $analise[$i]['pedido_cod'];
           $pd_separado    = $analise[$i]['separado'];
    // EXECURÇÃO
           $sql     = "UPDATE `uni_analise` SET `separado`= $pd_separado WHERE id = $pd_id AND pedido_cod = $pd_cod";
           $result  = mysqli_query($db,$sql);
       } /*
       foreach ($analise as $row) {
            
           $sql     = "UPDATE `uni_analise` SET `separado`= ".$row['separado']." WHERE id = ".$row['id']." AND pedido_cod = ".$row['pedido_cod']."";
           $result  = mysqli_query($db,$sql);
            
        }*/
       
    
    return true;
}

//###########################################################################################################################
// FUNÇOES REFERENTE A TROCA DE DADOS COM A BASE OFFILINE
//###########################################################################################################################

function itensConsult(){
    $db = conectDB();
    
    $sql     = "SELECT a.`id`,a.`pedido_cod`,a.`prod_codigo`,a.`prod_desc`,a.`sugestao`,a.`separado` FROM `uni_analise` a INNER JOIN uni_pedidos p ON p.id=a.`pedido_cod` WHERE p.status = 'CONCLUIDO' ORDER BY a.`deposito` ASC";
        
    $result  = mysqli_query($db,$sql);
    $n       = mysqli_num_rows($result);
    
    if($n > 0){
           for($i = 0; $i<$n ; $i++){
               $dados[] = mysqli_fetch_assoc($result);
           }
        return $dados;
    }else{
        return 0;
    }
}

function pedidosfinalizados(){
    $db = conectDB();
    
    $sql     = "SELECT * FROM `uni_pedidos` WHERE status = 'CONCLUIDO'";
        
    $result  = mysqli_query($db,$sql);
    $n       = mysqli_num_rows($result);
    
    if($n > 0){
           for($i = 0; $i<$n ; $i++){
               $dados[] = mysqli_fetch_assoc($result);
           }
           
           $sql     = "UPDATE `uni_pedidos` SET `status`= 'ENVIADO' WHERE status = 'CONCLUIDO'";
           $result  = mysqli_query($db,$sql);
           
        return $dados;
    }else{
        return 0;
    }
}


function enviobase($pedidos, $analise){
    $pedidos_a_enviar = array();
    $result = "";
    
    foreach($pedidos as $key => $lista){
        if(!consultar_pedido($lista['id'])){
            array_push($pedidos_a_enviar, $lista['id']);
            $resp   = add_pedido($lista['id'], $lista['loja'], $lista['data'], $lista['status'], $lista['usuario'], $lista['pedido']);
            $result = "Importado";
        }else{
            $result = "ja carregado";
        }
    }
    
    foreach($analise as $key => $lista){
        if(in_array($lista['pedido_cod'], $pedidos_a_enviar)){
            $resp2 = add_analise($lista['id'], $lista['pedido_cod'], $lista['prod_codigo'], $lista['prod_ref'], $lista['prod_desc'], $lista['dias_consulta'], $lista['ven_period'], $lista['media_dia'], $lista['est_matriz'], $lista['est_filial'], $lista['sugestao'],  $lista['separado'], $lista['status'], $lista['preco'], $lista['deposito']);
        }
    }
    
    return $result;
}

function consultar_pedido($id){
    $db = conectDB();
    
    $sql     = "SELECT * FROM uni_pedidos WHERE id = '$id'";
    $result  = mysqli_query($db,$sql);
    $n       = mysqli_num_rows($result);
    
    return $n;
}

function add_pedido($id, $loja, $data, $status, $usuario, $pedido){
    $db = conectDB();
    
    $sql     = "INSERT INTO `uni_pedidos`(`id`, `loja`, `data`, `status`, `usuario`, `pedido`) VALUES ('$id','$loja','$data','$status','$usuario','$pedido')";
    $result  = mysqli_query($db,$sql);
    
    return $result;
}

function add_analise($id, $pedido_cod, $prod_codigo, $prod_ref, $prod_desc, $dias_consulta, $ven_period, $media_dia, $est_matriz, $est_filial, $sugestao, $separado, $status, $preco, $deposito){
    $db = conectDB();
    
    $sql     = "INSERT INTO `uni_analise`(`id`, `pedido_cod`, `prod_codigo`, `prod_ref`, `prod_desc`, `dias_consulta`, `ven_period`, `media_dia`, `est_matriz`, `est_filial`, `sugestao`, `separado`, `status`, `preco`,`deposito`) VALUES ('$id', '$pedido_cod', '$prod_codigo', '$prod_ref', '$prod_desc', '$dias_consulta', '$ven_period', '$media_dia', '$est_matriz', '$est_filial', '$sugestao', '$separado', '$status', '$preco', '$deposito')";

    
    $result  = mysqli_query($db,$sql);
    
        $data_hoje = date('ymd');	
							$arquivo = fopen('INSERT_UNIDOS.txt','w');
							fwrite($arquivo, $result);
							fclose($arquivo);
    
    return $result;
}


function deluser($id){
   $db = conectDB();

   $sql     = "DELETE FROM `uni_usuarios` WHERE id = $id";
   $result  = mysqli_query($db,$sql);
    
   return true;
}

function edituser($id,$nome,$senha){
   $db = conectDB();

   $sql     = "UPDATE `uni_usuarios` SET `nome`= '$nome',`senha`= '$senha' WHERE id = $id";
   $result  = mysqli_query($db,$sql);
    
    return true;
}

function adduser($nome,$senha,$id){
   $db = conectDB();
   
   $sql     = "INSERT INTO `uni_usuarios`(`id`,`nome`, `senha`, `sexo`) VALUES ('$id','$nome', '$senha', '1')";
   
   $result  = mysqli_query($db,$sql);
    
    return true;
}




